# Uses of Class
org.apache.sling.starter.access.models.PrivilegeItem

Packages that use PrivilegeItem
Package
Description
org.apache.sling.starter.access.models

## Uses of PrivilegeItem in org.apache.sling.starter.access.models

Fields in org.apache.sling.starter.access.models with type parameters of type PrivilegeItem
Modifier and Type
Field
Description
`protected Map<javax.jcr.security.Privilege,PrivilegeItem>`
Ace.`persistedPrivilegesMap`
Methods in org.apache.sling.starter.access.models that return types with arguments of type PrivilegeItem
Modifier and Type
Method
Description
`protected Map<javax.jcr.security.Privilege,PrivilegeItem>`
Ace.`getPersistedPrivilegesMap()`
`Collection<PrivilegeItem>`
Ace.`getPrivileges()`
`protected Map<javax.jcr.security.Privilege,PrivilegeItem>`
Ace.`initialPrivilegesMap(Map<javax.jcr.security.Privilege,String> privilegeToLongestPath, String acePath)`